import type { ButtonHTMLAttributes, FC, ReactNode } from 'react';
interface UsercentricsDialogToggleProps extends ButtonHTMLAttributes<HTMLButtonElement> {
    children: ReactNode;
}
/**
 * A button component for opening the Usercentrics dialog where users can
 * adjust their consent settings, and read info about services.
 *
 * The button will be disabled until Usercentrics has been initialized,
 * so for example ad-blockers might prevent it from ever activating.
 */
export declare const UsercentricsDialogToggle: FC<UsercentricsDialogToggleProps>;
export {};
