import { FC, ReactNode } from 'react';
interface UsercentricsProviderProps {
    children: ReactNode;
    /**
     * Whether to throw if invalid Service Id has been used.
     * @default false
     */
    strictMode?: boolean;
    /**
     * The timeout value in milliseconds after which loading of the Usercentrics
     * script will be assumed to have failed.
     * @default 5000
     */
    timeout?: number;
    /**
     * The configured window event name from Usercentrics admin interface.
     * @see https://docs.usercentrics.com/#/v2-events?id=usage-as-window-event
     */
    windowEventName: string;
}
export declare const UsercentricsProvider: FC<UsercentricsProviderProps>;
export {};
