import type { FC } from 'react';
import React from 'react';
interface UsercentricsScriptProps extends React.DetailedHTMLProps<React.ScriptHTMLAttributes<HTMLScriptElement>, HTMLScriptElement> {
    settingsId: string;
    uiVersion?: string;
    version?: 'production' | 'preview';
    src?: never;
}
/**
 * The script tag that loads the Usercentrics Browser API.
 *
 * @example <caption>Default production mode</caption>
 * () => <UsercentricsScript settingsId="1234" />
 *
 * @example <caption>Preview mode for development</caption>
 * () => <UsercentricsScript settingsId="1234" version="preview" />
 *
 * @example <caption>Fixed UI version instead of latest</caption>
 * () => <UsercentricsScript settingsId="1234" uiVersion="3.21.1" />
 */
export declare const UsercentricsScript: FC<UsercentricsScriptProps>;
export {};
